# $Revision: 1.30 $, $Date: 2007/03/17 22:01:55 $
Summary:	Utilities belonging to the Reiser4 filesystem
Summary(pl.UTF-8):	Narzędzia dla systemu plików Reiser4
Summary(pt_BR.UTF-8):	Este pacote contém os utilitários para manipulação do sistema de arquivos Reiser4
Summary(ru.UTF-8):	Утилиты для работы с файловой системой Reiser4
Summary(uk.UTF-8):	Утиліти для роботы з файловою системою Reiser4
Name:		reiser4progs
Version:	1.0.6
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://ftp.namesys.com/pub/reiser4progs/%{name}-%{version}.tar.gz
# Source0-md5:	8c618e35a4a893f0e948b03cee25749d
Patch0:		%{name}-opt.patch
Patch1:		%{name}-libaal.patch
URL:		http://www.namesys.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libaal-devel >= 1.0.5
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libuuid-devel
BuildRequires:	readline-devel
Requires:	libaal >= 1.0.5
Obsoletes:	reiserfs-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl.UTF-8
Pakiet zawiera programy do tworzenia (mkreiser4), sprawdzania i
naprawiania błędów (reiser4fsck) oraz zmiany wielkości
(resize_reiser4) systemu plików Reiser4.

%description -l pt_BR.UTF-8
Este pacote contém os utilitários para manipulação do sistema de
arquivos Reiser4.

%description -l ru.UTF-8
Набор утилит для работы с файловой системой Reiser4.

%description -l uk.UTF-8
Набір утиліт для роботи з файловою системою Reiser4.

%package devel
Summary:	Header files for reiser4progs libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek reiser4progs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libaal-devel >= 1.0.5

%description devel
Header files for reiser4progs libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek reiser4progs.

%package static
Summary:	reiser4progs static libraries
Summary(pl.UTF-8):	Statyczne biblioteki reiser4progs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libaal-static >= 1.0.5

%description static
reiser4progs static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki reiser4progs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?debug:--disable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}
for f in libreiser4 libreiser4-minimal librepair; do
	lib=$(cd $RPM_BUILD_ROOT/%{_lib}; echo $f-1.0.so.*.*.*)
	ln -sf /%{_lib}/$lib $RPM_BUILD_ROOT%{_libdir}/$f.so
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains information other than GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) /%{_lib}/libreiser4-1.0.so.*.*.*
%attr(755,root,root) /%{_lib}/libreiser4-minimal-1.0.so.*.*.*
%attr(755,root,root) /%{_lib}/librepair-1.0.so.*.*.*
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libreiser4.so
%attr(755,root,root) %{_libdir}/libreiser4-minimal.so
%attr(755,root,root) %{_libdir}/librepair.so
%{_libdir}/libreiser4.la
%{_libdir}/libreiser4-minimal.la
%{_libdir}/librepair.la
%{_includedir}/reiser4
%{_includedir}/repair
%{_aclocaldir}/libreiser4.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libreiser4.a
%{_libdir}/libreiser4-minimal.a
%{_libdir}/librepair.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: reiser4progs.spec,v $
Revision 1.30  2007/03/17 22:01:55  qboosh
- updated to 1.0.6

Revision 1.29  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.27  2006/10/30 12:11:41  qboosh
- move libs without breaking *.la; release 4

Revision 1.26  2006/10/19 20:26:14  pluto
- put devel stuff into %{_libdir}.

Revision 1.25  2006/07/17 10:42:23  glen
- undo adapter breakage

Revision 1.24  2006/07/17 05:52:00  piti
- Libs moved to /lib instead of /urs/lib. Adaptarized.

Revision 1.23  2006/05/25 12:59:48  pluto
- R: libaal-static for libreiser4-minimal.a, release 3.

Revision 1.22  2005/09/17 11:57:46  arekm
- new readline, 5.0

Revision 1.21  2005/08/15 09:01:42  qboosh
- updated to 1.0.5, removed obsolete gcc4 patch, added libaal patch
- fixed libaal-devel version in R

Revision 1.20  2005/06/18 15:06:15  areq
- add gcc4.patch

Revision 1.19  2005/02/20 20:04:14  adamg
- updated to 1.0.4
- dropped -am18.patch (applied upstream)

Revision 1.18  2005/01/19 11:28:59  domelu
- url fix

Revision 1.17  2004/12/10 16:00:48  adamg
- updated to 1.0.3 (requires libaal 1.0.3)

Revision 1.16  2004/10/24 20:36:13  qboosh
- opt patch is back (updated)

Revision 1.15  2004/10/24 10:52:04  jpc
- up to 1.0.2
- removed outdated opt patch

Revision 1.14  2004/08/27 13:03:06  areq
- 1.0.0

Revision 1.13  2004/08/08 13:46:15  adamg
- Release looks better now

Revision 1.12  2004/08/08 13:11:26  adamg
- updated to snap 2004.08.04

Revision 1.11  2004/04/10 23:25:54  qboosh
- updated to 0.5.3 from reiser4 2004.03.26 snap
- updated acfix patch, removed obsolete destdir_fix patch

Revision 1.10  2003/12/28 13:32:01  qboosh
- updated to 0.4.20 from reiser4 snap 2003.12.23
- updated acfix,opt patches, added am18 patch
- -devel R: libaal-devel

Revision 1.9  2003/10/09 14:34:10  qboosh
- s/e2fsprogs-devel/libuuid-devel/

Revision 1.8  2003/09/02 12:46:13  adamg
- updated to snap 20030826 (claims to be 0.4.12)
- added -destdir_fix.patch

Revision 1.7  2003/08/13 19:18:21  adamg
- fixed patches, updated BR: libaal-devel, builds

Revision 1.6  2003/08/13 17:36:23  adamg
- updated to 0.4.11, not finished yet (build fails)

Revision 1.5  2003/07/13 16:17:46  erjot
- grrr znowu zapomnialem md5. :/

Revision 1.4  2003/07/13 16:14:31  erjot
- up to 20030614

Revision 1.3  2003/06/05 21:14:51  qboosh
- BR: e2fsprogs-devel (libuuid), libaal-devel, readline-devel
- added -devel and -static subpackages
- removed generic INSTALL from doc
- added acfix and opt patches, disabled debug by default

Revision 1.2  2003/05/29 17:14:12  wiget
- adapterized
